<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtpnova.xsl"?>
<html>
	<head>
		<title>eclipse web tools platform 3.5 release notes</title>
	</head>
	<body>
		<h1>WTP 3.5 Release Notes</h1>

		<h2>Introduction</h2>
		<p>
			This document contains information about the WTP 3.5.0
			Release.
		</p>
        <!-- 
		<ul>
		<li>
			<a href="#press-release">Press Release</a>
		</li>
		<li>
			<a href="#new-and-noteworthy">New and Noteworthy</a>
		</li>	
		<li>
			<a href="#what-is-fixed">What is Fixed</a>
		</li>	
        <li>
            <a href="#compatibility">Compatibility with Eclipse 4.2</a>
        </li>
		<li>
			<a href="#reported-problems">Reported and Known Problems</a>
		</li>
		</ul>
        -->
		<!-- 
		<h2>
			<a name="press-release" />
			Press Release
		</h2>
		<p>
			The press release for Kepler, which incorporates WTP 3.5, can be found
			<a href="http://www.eclipse.org/org/press-release/20130626_keplerrelease.php" target="_top">here</a>.
		</p>
		-->
        <a name="new-and-noteworthy" />
		<h2>New and Noteworthy</h2>
		<p>
			The list of new and noteworthy features is available <a href="NewAndNoteworthy/index.php">here</a>.
		</p>
        <a name="what-is-fixed" />
		<h2>What is Fixed</h2>
		<p>
	The list of bugs fixed is tabulated
	<a
		href="https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_severity&amp;y_axis_field=product&amp;z_axis_field=&amp;query_format=report-table&amp;short_desc_type=allwordssubstr&amp;short_desc=&amp;classification=WebTools&amp;target_milestone=3.1&amp;target_milestone=3.3&amp;target_milestone=3.5&amp;target_milestone=3.5.0&amp;target_milestone=3.1+M1&amp;target_milestone=3.3+M1&amp;target_milestone=3.5+M1&amp;target_milestone=3.5.0+M1&amp;target_milestone=3.1+M2&amp;target_milestone=3.3+M2&amp;target_milestone=3.5+M2&amp;target_milestone=3.5.0+M2&amp;target_milestone=3.1+M3&amp;target_milestone=3.3+M3&amp;target_milestone=3.5+M3&amp;target_milestone=3.5.0+M3&amp;target_milestone=3.1+M3&amp;target_milestone=3.3+M4&amp;target_milestone=3.5+M4&amp;target_milestone=3.5.0+M4&amp;target_milestone=3.1+M5&amp;target_milestone=3.3+M5&amp;target_milestone=3.5+M5&amp;target_milestone=3.5.0+M5&amp;target_milestone=3.1+M6&amp;target_milestone=3.3+M6&amp;target_milestone=3.5+M6&amp;target_milestone=3.5.0+M6&amp;target_milestone=3.1+M7&amp;target_milestone=3.3+M7&amp;target_milestone=3.5+M7&amp;target_milestone=3.5.0+M7&amp;target_milestone=3.3+RC1&amp;target_milestone=3.1+RC1&amp;target_milestone=3.5+RC1&amp;target_milestone=3.5.0+RC1&amp;target_milestone=3.1+RC2&amp;target_milestone=3.3+RC2&amp;target_milestone=3.5+RC2&amp;target_milestone=3.5.0+RC2&amp;target_milestone=3.1+RC3&amp;target_milestone=3.3+RC3&amp;target_milestone=3.5+RC3&amp;target_milestone=3.5.0+RC3&amp;target_milestone=3.1+RC4&amp;target_milestone=3.3+RC4&amp;target_milestone=3.5+RC4&amp;target_milestone=3.5.0+RC4&amp;resolution=FIXED&amp;format=table&amp;action=wrap&amp;chfieldfrom=2012-05-01&amp;chfieldto=2013-06-30&amp;chfield=resolution&amp;chfieldvalue=FIXED">here</a>.
	</p>
<!--
		<h2>
			<a name="adopter-hotlist-report"/>Adopter Bug Queries
		</h2>
		<p>
			WTP 3.5 adopters have requested that the following known
			problems be given high priority in the coming releases:
		<ul>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug_request&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.5.*">Requested</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.5.*">Accepted but Unresolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=RESOLVED&amp;bug_status=VERIFIED&amp;bug_status=CLOSED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.5.*">Resolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard_type=regexp&amp;status_whiteboard=hotbug*&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.5.*">All</a>
			</li>
		</ul>
		</p>
-->
        <a name="compatibility" />
        <h2>Compatibility with Eclipse 4.3</h2>
        <p>WTP 3.5 has been tested with both Eclipse 4.3.  Known issues specific to working in Eclipse 4.x are recorded in <a href="http://bugs.eclipse.org/334303">bug 334303</a>. 
        </p>
        <a name="reported-problems" />
        <h2>Reported and Known Problems</h2>
		<p>
			All reported problems are recorded in the Eclipse Bugzilla
			system under:
			<ul>
				<li>
					Classification =
					<code>WebTools</code>
				</li>
				<li>
					Status =
					<code>NEW</code>
					or
					<code>ASSIGNED</code>
					or
					<code>REOPENED</code>
				</li>
			</ul>
			Remember: unless a bug is reported, it will not get fixed.
		</p>
		<a href="https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;bug_status=UNCONFIRMED&amp;classification=WebTools&amp;order=bugs.bug_id%20desc">All reported problems</a>
		<p>Check for suggested workarounds in the bug report comments.  Here are more specific items:</p>

		<table cellpadding="3%" >

		<tr>
		<!--
			<td><a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=number">number</a></td>
			<td> title </td>
		-->
		</tr>
		</table>
	</body>
</html>
